Package org.eclipse.jdt.core.search

# Interface IJavaSearchDelegate

public interface IJavaSearchDelegate
This interface represents a delegate that can take over the discovery of search results for java-based searches. This interface makes use of internal classes and is not considered stable or API.

Since:
  3.41

## Method Summary

Modifier and Type
Method
Description
`void`
`locateMatches(org.eclipse.jdt.internal.core.search.matching.MatchLocator locator, IJavaProject javaProject, org.eclipse.jdt.internal.core.search.matching.PossibleMatch[] possibleMatches, int start, int length)`
Fill the PossibleMatch objects' state with confirmed and possible results using the search strategy that this delegate employs.

## Method Details

### locateMatches

void locateMatches(org.eclipse.jdt.internal.core.search.matching.MatchLocator locator, IJavaProject javaProject, org.eclipse.jdt.internal.core.search.matching.PossibleMatch[] possibleMatches, int start, int length) throws org.eclipse.core.runtime.CoreException
Fill the PossibleMatch objects' state with confirmed and possible results using the search strategy that this delegate employs.

Parameters:
  `locator` - The MatchLocator initiating the request
  `javaProject` - The context in which the search is being performed
  `possibleMatches` - An array of possible matches
  `start` - The start index with which to begin searching
  `length` - The length of matches with which to search
Throws:
  `org.eclipse.core.runtime.CoreException`